summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonathan Scruggs <j.scruggs@gmail.com>2018-07-11 16:22:06 +0100
committerJonathan Scruggs <dracwyrm@gentoo.org>2018-08-11 11:09:17 +0100
commit6b694f49664f767bb792e9cdb05e4fcbb9af5bc5 (patch)
treeb8f6751ee2fcf1ffe474a9b07845b2ddbe639253
parentx11-terms/qterminal: version update to 0.9.0 (diff)
downloadgentoo-6b694f49664f767bb792e9cdb05e4fcbb9af5bc5.tar.gz
gentoo-6b694f49664f767bb792e9cdb05e4fcbb9af5bc5.tar.bz2
gentoo-6b694f49664f767bb792e9cdb05e4fcbb9af5bc5.zip
lxqt-base/lxqt-panel: version update to 0.13.0
-rw-r--r--lxqt-base/lxqt-panel/Manifest1
-rw-r--r--lxqt-base/lxqt-panel/lxqt-panel-0.13.0.ebuild112
-rw-r--r--lxqt-base/lxqt-panel/metadata.xml53
3 files changed, 142 insertions, 24 deletions
diff --git a/lxqt-base/lxqt-panel/Manifest b/lxqt-base/lxqt-panel/Manifest
index 8acf347d287..2aafb9440a8 100644
--- a/lxqt-base/lxqt-panel/Manifest
+++ b/lxqt-base/lxqt-panel/Manifest
@@ -1 +1,2 @@
DIST lxqt-panel-0.11.0.tar.xz 262964 BLAKE2B 6cbb741731e89dbe99fefc8ceb983e346128a3122507a6816db848c9bed0b8f4f3b5f08e8f7ccd3a1b72ed7161a0772188836bec55610e248c17425f806dec44 SHA512 875ec28868bb68dff8c4e3be0adb5e5c88213f9ebdeb83eb0df9d5c31a7b4cb70a4d9b347f1ed9526a1eef7adb07f92c36263e12a6455291ec7022901abd100c
+DIST lxqt-panel-0.13.0.tar.xz 273924 BLAKE2B affed55daf1c0a4bf20faeb35278a7d0c7474e514627d24c33469954bcf57ef2c5ee0ac1346918a3edc58f929f07a923e730d0c8ec1d32eeb3d2af41134beced SHA512 f9ea21a24aa8fc0898c756349256a9a84f4e8469743383ce4372f5ab3719170c84ec731d661f7b3355b7501f16fa862ef9d64b7b346e8abd4cbceb547fcb18e3
diff --git a/lxqt-base/lxqt-panel/lxqt-panel-0.13.0.ebuild b/lxqt-base/lxqt-panel/lxqt-panel-0.13.0.ebuild
new file mode 100644
index 00000000000..899778b6071
--- /dev/null
+++ b/lxqt-base/lxqt-panel/lxqt-panel-0.13.0.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils eapi7-ver
+
+DESCRIPTION="LXQt desktop panel and plugins"
+HOMEPAGE="https://lxqt.org/"
+
+MY_PV="$(ver_cut 1-2)*"
+
+if [[ ${PV} = *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/lxqt/${PN}.git"
+else
+ SRC_URI="https://downloads.lxqt.org/downloads/${PN}/${PV}/${P}.tar.xz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="+alsa clock colorpicker cpuload +desktopswitch +directorymenu dom +kbindicator +mainmenu
+ +mount networkmonitor pulseaudio +quicklaunch sensors +showdesktop
+ +spacer statusnotifier sysstat +taskbar +tray +volume +worldclock"
+REQUIRED_USE="volume? ( || ( alsa pulseaudio ) )"
+
+RDEPEND="
+ >=dev-libs/libqtxdg-3.0.0
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtx11extras:5
+ dev-qt/qtxml:5
+ kde-frameworks/kwindowsystem:5[X]
+ >=lxde-base/lxmenu-data-0.1.5
+ >=lxde-base/menu-cache-1.1.0
+ =lxqt-base/liblxqt-${MY_PV}
+ =lxqt-base/lxqt-globalkeys-${MY_PV}
+ x11-libs/libX11
+ cpuload? ( sys-libs/libstatgrab )
+ kbindicator? ( x11-libs/libxkbcommon )
+ mount? ( kde-frameworks/solid:5 )
+ networkmonitor? ( sys-libs/libstatgrab )
+ sensors? ( sys-apps/lm_sensors )
+ statusnotifier? ( dev-libs/libdbusmenu-qt[qt5(+)] )
+ sysstat? ( >=lxqt-base/libsysstat-0.4.1 )
+ tray? (
+ x11-libs/libxcb:=
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXrender
+ x11-libs/xcb-util
+ )
+ volume? (
+ alsa? ( media-libs/alsa-lib )
+ pulseaudio? (
+ media-sound/pavucontrol-qt
+ media-sound/pulseaudio
+ )
+ )
+ !lxqt-base/lxqt-common
+"
+DEPEND="${RDEPEND}
+ dev-qt/linguist-tools:5
+ >=dev-util/lxqt-build-tools-0.5.0
+ virtual/pkgconfig
+"
+
+src_configure() {
+ local mycmakeargs=(
+ -DPULL_TRANSLATIONS=OFF
+
+ # Plugins
+ -DCLOCK_PLUGIN=$(usex clock)
+ -DCOLORPICKER_PLUGIN=$(usex colorpicker)
+ -DCPULOAD_PLUGIN=$(usex cpuload)
+ -DDESKTOPSWITCH_PLUGIN=$(usex desktopswitch)
+ -DDIRECTORYMENU_PLUGIN=$(usex directorymenu)
+ -DDOM_PLUGIN=$(usex dom)
+ -DKBINDICATOR_PLUGIN=$(usex kbindicator)
+ -DMAINMENU_PLUGIN=$(usex mainmenu)
+ -DMOUNT_PLUGIN=$(usex mount)
+ -DNETWORKMONITOR_PLUGIN=$(usex networkmonitor)
+ -DQUICKLAUNCH_PLUGIN=$(usex quicklaunch)
+ -DSENSORS_PLUGIN=$(usex sensors)
+ -DSHOWDESKTOP_PLUGIN=$(usex showdesktop)
+ -DSPACER_PLUGIN=$(usex spacer)
+ -DSTATUSNOTIFIER_PLUGIN=$(usex statusnotifier)
+ -DSYSSTAT_PLUGIN=$(usex sysstat)
+ -DTASKBAR_PLUGIN=$(usex taskbar)
+ -DTRAY_PLUGIN=$(usex tray)
+ -DVOLUME_PLUGIN=$(usex volume)
+ -DWORLDCLOCK_PLUGIN=$(usex worldclock)
+ )
+
+ if use volume; then
+ mycmakeargs+=(
+ -DVOLUME_USE_ALSA=$(usex alsa)
+ -DVOLUME_USE_PULSEAUDIO=$(usex pulseaudio)
+ )
+ fi
+
+ cmake-utils_src_configure
+}
+
+src_install(){
+ cmake-utils_src_install
+ doman panel/man/*.1
+}
diff --git a/lxqt-base/lxqt-panel/metadata.xml b/lxqt-base/lxqt-panel/metadata.xml
index 3dd1f2a796b..389e2ab7f8a 100644
--- a/lxqt-base/lxqt-panel/metadata.xml
+++ b/lxqt-base/lxqt-panel/metadata.xml
@@ -1,28 +1,33 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>lxqt@gentoo.org</email>
- <name>LXQt</name>
- </maintainer>
- <use>
- <flag name="clock">Build clock plugin</flag>
- <flag name="colorpicker">Build colorpicker plugin</flag>
- <flag name="cpuload">Build cpuload plugin</flag>
- <flag name="desktopswitch">Build desktopswitch plugin</flag>
- <flag name="dom">Build dom plugin</flag>
- <flag name="kbindicator">Build kbindicator plugin</flag>
- <flag name="mainmenu">Build mainmenu plugin</flag>
- <flag name="mount">Build mount plugin</flag>
- <flag name="networkmonitor">Build networkmonitor plugin</flag>
- <flag name="quicklaunch">Build quicklaunch plugin</flag>
- <flag name="sensors">Build sensors plugin</flag>
- <flag name="showdesktop">Build showdesktop plugin</flag>
- <flag name="statusnotifier">Build statusnotifier plugin</flag>
- <flag name="sysstat">Build sysstat plugin</flag>
- <flag name="taskbar">Build taskbar plugin</flag>
- <flag name="tray">Build tray plugin</flag>
- <flag name="volume">Build volume plugin</flag>
- <flag name="worldclock">Build worldclock plugin</flag>
- </use>
+ <maintainer type="project">
+ <email>lxqt@gentoo.org</email>
+ <name>LXQt</name>
+ </maintainer>
+ <use>
+ <flag name="clock">Build clock plugin</flag>
+ <flag name="colorpicker">Build colorpicker plugin</flag>
+ <flag name="cpuload">Build cpuload plugin</flag>
+ <flag name="desktopswitch">Build desktopswitch plugin</flag>
+ <flag name="directorymenu" restrict="&gt;=lxqt-base/lxqt-panel-0.13.0">Build directorymenu plugin</flag>
+ <flag name="dom">Build dom plugin</flag>
+ <flag name="kbindicator">Build kbindicator plugin</flag>
+ <flag name="mainmenu">Build mainmenu plugin</flag>
+ <flag name="mount">Build mount plugin</flag>
+ <flag name="networkmonitor">Build networkmonitor plugin</flag>
+ <flag name="quicklaunch">Build quicklaunch plugin</flag>
+ <flag name="sensors">Build sensors plugin</flag>
+ <flag name="showdesktop">Build showdesktop plugin</flag>
+ <flag name="statusnotifier">Build statusnotifier plugin</flag>
+ <flag name="spacer" restrict="&gt;=lxqt-base/lxqt-panel-0.13.0">Build spacer plugin</flag>
+ <flag name="sysstat">Build sysstat plugin</flag>
+ <flag name="taskbar">Build taskbar plugin</flag>
+ <flag name="tray">Build tray plugin</flag>
+ <flag name="volume">Build volume plugin</flag>
+ <flag name="worldclock">Build worldclock plugin</flag>
+ </use>
+ <upstream>
+ <remote-id type="github">lxqt/lxqt-panel</remote-id>
+ </upstream>
</pkgmetadata>